# Uses of Class
com.microsoft.sqlserver.jdbc.dns.DNSRecordSRV

Packages that use DNSRecordSRV
Package
Description
com.microsoft.sqlserver.jdbc.dns

## Uses of DNSRecordSRV in com.microsoft.sqlserver.jdbc.dns

Methods in com.microsoft.sqlserver.jdbc.dns that return DNSRecordSRV
Modifier and Type
Method
Description
`static DNSRecordSRV`
DNSRecordSRV.`parseFromDNSRecord​(String record)`
Parses a DNS SRC Record from a DNS String record.
Methods in com.microsoft.sqlserver.jdbc.dns that return types with arguments of type DNSRecordSRV
Modifier and Type
Method
Description
`static Set<DNSRecordSRV>`
DNSUtilities.`findSrvRecords​(String dnsSrvRecordToFind)`
Finds all SRV Record using DNS.
Methods in com.microsoft.sqlserver.jdbc.dns with parameters of type DNSRecordSRV
Modifier and Type
Method
Description
`int`
DNSRecordSRV.`compareTo​(DNSRecordSRV o)`